Metafunction
Iterator
Type of iterator objects that are used to traverse the container.
Iterator<T, TSpec>::Type
Include Headers
seqan/basic.h
Parameters

T | Type for which the iterator type is determined. Spec.Journal String Types: ContainerConcept: Gaps, ModifiedString, String AlignCols, Block String, char array, Dequeue, Finder, FrequencyDistribution, Graph, Iter, SeedSet, Segment, std::basic_string, std::list, std::vector, StringEnumerator, thrust::device_vector
TSpec | Specifies an iterator spec. Default: The default iterator spec is given by DefaultIteratorSpec.

Remarks
Iterators behave like pointers in some respects. For example, you can use *it to access the value object the iterator it points to. But note that Iterator<T>::Type can differ from T *, depending on T.
Return Values

Type | Iterator type of T.

Member of
Finder, SeedSet, std::basic_string, Dequeue, thrust::device_vector, ModifiedString, Gaps, std::list, char array, StringEnumerator, std::vector, Segment, Block String
Functions

countGaps | Reports number of continues gaps right of current iterator position.
infix | Creates infix object.
infixWithLength | Creates infix object.
parseString | Parses a string one character at a time and moves accordingly in the automaton.
prefix | Creates prefix object.
setBegin | Sets begin of object in host.
setEnd | Sets end of object in host.
suffix | Creates suffix object.

Example Programs
Iterator Basics, Rooted Iterators
Part of Concept
ContainerConcept
See Also
begin, DefaultIteratorSpec, end, iter, Position, DefaultGetIteratorSpec
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59